GlobalStorageStatistics (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, enum: GlobalStorageStatistics

Package org.apache.hadoop.fs

# Enum Class GlobalStorageStatistics

java.lang.Object
java.lang.Enum<GlobalStorageStatistics>
org.apache.hadoop.fs.GlobalStorageStatistics

All Implemented Interfaces:
  `Serializable`, `Comparable<GlobalStorageStatistics>`, `Constable`

@Public public enum GlobalStorageStatistics extends Enum<GlobalStorageStatistics>
Stores global storage statistics objects.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `org.apache.hadoop.fs.GlobalStorageStatistics.StorageStatisticsProvider`
  A callback API for creating new StorageStatistics instances.

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`
  The GlobalStorageStatistics singleton.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StorageStatistics`
  `get(String name)`
  Get the StorageStatistics object with the given name.
  `Iterator<StorageStatistics>`
  `iterator()`
  Get an iterator that we can use to iterate throw all the global storage statistics objects.
  `StorageStatistics`
  `put(String name, org.apache.hadoop.fs.GlobalStorageStatistics.StorageStatisticsProvider provider)`
  Create or return the StorageStatistics object with the given name.
  `void`
  `reset()`
  Reset all global storage statistics.
  `static GlobalStorageStatistics`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GlobalStorageStatistics[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final GlobalStorageStatistics INSTANCE
    The GlobalStorageStatistics singleton.

- ## Method Details

  - ### values

    public static GlobalStorageStatistics[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GlobalStorageStatistics valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### get

    public StorageStatistics get(String name)
    Get the StorageStatistics object with the given name.
    Parameters:
      `name` - The storage statistics object name.
    Returns:
      The StorageStatistics object with the given name, or null if there is none.

  - ### put

    public StorageStatistics put(String name, org.apache.hadoop.fs.GlobalStorageStatistics.StorageStatisticsProvider provider)
    Create or return the StorageStatistics object with the given name.
    Parameters:
      `name` - The storage statistics object name.
      `provider` - An object which can create a new StorageStatistics object if needed.
    Returns:
      The StorageStatistics object with the given name.
    Throws:
      `RuntimeException` - If the StorageStatisticsProvider provides a null object or a new StorageStatistics object with the wrong name.

  - ### reset

    public void reset()
    Reset all global storage statistics.

  - ### iterator

    public Iterator<StorageStatistics> iterator()
    Get an iterator that we can use to iterate throw all the global storage statistics objects.
    Returns:
      StorageStatistics Iterator.